package com.yami.shop.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yami.shop.bean.model.AdvertInfo;
import com.yami.shop.bean.param.AdvertInfoParam;
import org.springframework.http.ResponseEntity;

/**
 * @author wy
 */
public interface IAdvertInfoService extends IService<AdvertInfo> {

    ResponseEntity<Void> addOrUpdate(AdvertInfoParam param);

    ResponseEntity<AdvertInfoParam> get(Integer id);

    ResponseEntity<IPage<AdvertInfo>> search(String advertName, Integer status, Integer current, Integer size);

    ResponseEntity<Void> del(Integer id);

    ResponseEntity<Void> operate(Integer id);
}
